#ifndef TDATAINITIALIZERBULK_HH
#define TDATAINITIALIZERBULK_HH

#include "TObject.h"

#include "TDataInitializerInterface.hh"
#include "TSimulationDataScintillator.hh"

class TFile;
class TTree;

class TDataInitializerBulk : public TDataInitializerInterface
{
public:
  TDataInitializerBulk();
  virtual ~TDataInitializerBulk();
  
  virtual int Initialize();
  virtual int CreateBranch(TTree* tree);
  virtual int AddParameters(TFile* file);
  virtual int PrintParameters(TFile* file);

  virtual int ClearBuffer();

  ClassDef(TDataInitializerBulk, 1)
};

#endif
