#ifndef EVENTACTIONBASIC_HH
#define EVENTACTIONBASIC_HH
 
#include "G4UserEventAction.hh"
#include "globals.hh"

#include <ctime>

class G4Event;
class ActionCommonVariable;
class TDataInitializerInterface;

class EventActionBasic : public G4UserEventAction
{
public:
  EventActionBasic(TDataInitializerInterface* dataIinitializerInterface);
  virtual ~EventActionBasic();

  void BeginOfEventAction(const G4Event*);
  void EndOfEventAction(const G4Event*);

protected:
  ActionCommonVariable* fActionCommonVariable;
  TDataInitializerInterface* fDataInitializerInterface;

  time_t fTimeLast, fTimeStart;
};

#endif


