#ifndef TANALYSISTOOLS_HH
#define TANALYSISTOOLS_HH 

#include "TObject.h"

// physical constants
static const Double_t mneutron = 939.565;
static const Double_t vlight = 29.979;

class TAnalysisTools
{
public:
  static Double_t MeVeeRelation(Double_t T, std::string name, Int_t pdgcode);
  static Double_t MeVeeRelation2(Double_t T, std::string name, Int_t pdgcode);
  static Double_t MeVtoMeVee(Double_t Tin, Double_t Tout, std::string name, Int_t pdgcode);

  ClassDef(TAnalysisTools, 1)
};

#endif
