#ifndef TTYPEANALYSER_HH
#define TTYPEANALYSER_HH

#include <typeinfo>

class TTypeAnalyser
{
public:
  template <class T> static char* TypeName(T& object);
  static char* Demangle(const char *demangle);
};

template <class T>
inline char* TTypeAnalyser::TypeName(T& object){
  return Demangle(typeid(object).name());
}

#endif
