
#include "TSimulationDataBeam.hh"

#include <iostream>
#include <algorithm>
#include <iterator>

ClassImp(TSimulationDataBeam)

TSimulationDataBeamArray* gSimulationDataBeamArray = 0;

std::ostream& operator<<(std::ostream& out, const TSimulationDataBeam& simulationDataBeam)
{
  out << simulationDataBeam.fPrimaryParticleID << " ";
  out << simulationDataBeam.fPDGCode << " ";
  out << simulationDataBeam.fMass << " ";
  out << simulationDataBeam.fCharge << " ";
  out << simulationDataBeam.fMomentum.X() << " ";
  out << simulationDataBeam.fMomentum.Y() << " ";
  out << simulationDataBeam.fMomentum.Z() << " ";
  out << simulationDataBeam.fPosition.X() << " ";
  out << simulationDataBeam.fPosition.Y() << " ";
  out << simulationDataBeam.fPosition.Z() << " ";
  out << simulationDataBeam.fTime;
  if(!simulationDataBeam.fUserDouble.empty()){
    for(int i=0; i<(int)simulationDataBeam.fUserDouble.size(); ++i) out << " " << simulationDataBeam.fUserDouble[i];
  }
  if(!simulationDataBeam.fUserInt.empty()){
    for(int i=0; i<(int)simulationDataBeam.fUserInt.size(); ++i) out << " " << simulationDataBeam.fUserInt[i];
  }

  return out;
}

TSimulationDataBeam::TSimulationDataBeam() : TObject()
{;}

TSimulationDataBeam::~TSimulationDataBeam()
{;}
