
#include "TSimulationParameterGlobal.hh"

#include <iostream>

ClassImp(TSimulationParameterGlobal)

TSimulationParameterGlobal* gSimulationParameterGlobal = 0;

std::ostream& operator<<(std::ostream& out, const TSimulationParameterGlobal& simulationParameterGlobal)
{
  out << simulationParameterGlobal.fBeamType << " ";
  out << simulationParameterGlobal.fTreeName << " ";
  for(int i=0; i<(int)simulationParameterGlobal.fClassName.size(); ++i){
    if(i==(int)simulationParameterGlobal.fClassName.size()-1){
      out << simulationParameterGlobal.fClassName[i];
    }else{
      out << simulationParameterGlobal.fClassName[i] << " ";
    }
  }

  return out;
}

TSimulationParameterGlobal::TSimulationParameterGlobal()
  : TNamed("parameterGlobal","")
{;}

TSimulationParameterGlobal::TSimulationParameterGlobal(const char* name, const char* title)
  : TNamed(name, title)
{;}

TSimulationParameterGlobal::TSimulationParameterGlobal(const TString& name, const TString& title)
  : TNamed(name, title)
{;}

TSimulationParameterGlobal::~TSimulationParameterGlobal()
{;}

void TSimulationParameterGlobal::AddClassName(TString className)
{
  fClassName.push_back(className);
}
